## wagic 0.13.1maemo0

=== src/projects/mtg/debian/changelog ===
wagic (0.13.1maemo0) unstable; urgency=low

  * Initial Maemo Release.
 -- Xawotihs <xawotihs@gmail.com>  Sun, 03 Oct 2010 14:11:42 +0200

## wagic 0.13.1maemo1

=== src/projects/mtg/Makefile ===
OBJS = objs/ActionElement.o objs/ActionLayer.o objs/ActionStack.o objs/AIMomirPlayer.o objs/AIPlayer.o objs/AIStats.o objs/CardGui.o objs/CardDescriptor.o objs/CardDisplay.o objs/CardEffect.o objs/CardPrimitive.o objs/CardSelector.o objs/Counters.o objs/Credits.o objs/Damage.o objs/DamagerDamaged.o objs/DeckDataWrapper.o objs/DeckMetaData.o objs/DeckStats.o objs/DuelLayers.o objs/Effects.o objs/ExtraCost.o objs/GameApp.o objs/GameLauncher.o objs/GameObserver.o objs/GameOptions.o objs/GameState.o objs/GameStateAwards.o objs/GameStateDeckViewer.o objs/GameStateDuel.o  objs/DeckManager.o objs/GameStateMenu.o objs/GameStateOptions.o objs/GameStateShop.o objs/GameStateStory.o objs/GameStateTransitions.o objs/GuiAvatars.o objs/GuiBackground.o objs/GuiCardsController.o objs/GuiCombat.o objs/GuiFrame.o objs/GuiHand.o objs/GuiLayers.o objs/GuiMana.o objs/GuiPhaseBar.o objs/GuiPlay.o objs/GuiStatic.o objs/Logger.o objs/ManaCost.o objs/ManaCostHybrid.o  objs/MenuItem.o objs/MTGAbility.o objs/MTGCardInstance.o objs/MTGCard.o objs/MTGDeck.o objs/MTGDefinitions.o objs/MTGGamePhase.o objs/MTGGameZones.o objs/MTGPack.o objs/MTGRules.o objs/OptionItem.o objs/PhaseRing.o objs/Player.o objs/PlayerData.o  objs/PlayGuiObjectController.o objs/PlayGuiObject.o objs/Pos.o objs/PriceList.o objs/ReplacementEffects.o objs/Rules.o objs/SimpleMenu.o objs/SimpleMenuItem.o objs/SimplePad.o objs/StoryFlow.o objs/StyleManager.o objs/Subtypes.o objs/TargetChooser.o objs/TargetsList.o objs/TextScroller.o objs/ThisDescriptor.o objs/Token.o objs/Translate.o objs/TranslateKeys.o objs/Trash.o objs/utils.o objs/WEvent.o objs/WResourceManager.o objs/WCachedResource.o objs/WDataSrc.o objs/WGui.o objs/WFilter.o objs/Tasks.o objs/WFont.o
DEPS = $(patsubst objs/%.o, deps/%.d, $(OBJS))

RESULT = $(shell psp-config --psp-prefix 2> Makefile.cache)
ifeq ($(RESULT),)
DEFAULT_RULE = linux
TARGET_ARCHITECTURE = linux
TARGET = bin/wagic
else
DEFAULT_RULE = 3xx
TARGET_ARCHITECTURE = psp
PSPSDK = $(shell psp-config --pspsdk-path)
PSPDIR = $(shell psp-config --psp-prefix)
TARGET = wagic
endif
ifeq ($(MAKECMDGOALS),debug)
DEFAULT_RULE = debug
endif
ifeq ($(MAKECMDGOALS),linux)
DEFAULT_RULE = linux
TARGET_ARCHITECTURE = linux
endif

ifeq ($(TARGET_ARCHITECTURE),psp)
DEFAULT_RULE = 3xx
TARGET_ARCHITECTURE = psp
PSP_FW_VERSION=371
BUILD_PRX = 1
LIBS = -ljge300 -lhgetools -lfreetype -ljpeg -lgif -lpng -lz -lm -lmikmod -lpsppower -lpspmpeg -lpspaudiocodec -lpspaudiolib -lpspaudio -lpspmp3 -lpspgum -lpspgu -lpsprtc -lstdc++ -lpspfpu

EXTRA_TARGETS = EBOOT.PBP
PSP_EBOOT_TITLE = Wagic, the Homebrew?!
PSP_EBOOT_ICON = icon.png
#PSP_EBOOT_ICON1 = icon1.pmf
PSP_EBOOT_UNKPNG = pic0.png
PSP_EBOOT_PIC1 = pic1.png
CFLAGS = -O2 -G0 -DPSPFW3XX -DDEVHOOK
INCDIR = ../../JGE/include ../../JGE/include/psp ../../JGE/include/psp/freetype2 ../../JGE/src
LIBDIR = ../../JGE/lib/psp
else
OBJS += objs/TestSuiteAI.o
INCDIR = -I../../JGE/include -I../../JGE/src -I/usr/X11/include
LIBDIR = -L../../JGE/lib/linux -L../../JGE -L/usr/X11/lib
LIBS = -ljge -lfreetype -ljpeg -lgif -lpng -lz -lm -lstdc++ -lhgetools -lGL -lGLU -lX11 $(FMOD)
CFLAGS = $(INCDIR) -DLINUX
ASFLAGS = $(CXXFLAGS)

all: CFLAGS += -O2
all: $(DEFAULT_RULE)

endif

CFLAGS := -Wall -W -Werror -Wno-unused $(CFLAGS)
CXXFLAGS += $(CFLAGS)
# -fno-exceptions

LDFLAGS += $(LIBS)



debug: CXXFLAGS += -ggdb3 -D_DEBUG -DDEBUG

log: CXXFLAGS += -DDOLOG




ifeq ($(TARGET_ARCHITECTURE),psp)
include $(PSPSDK)/lib/build.mak

log: all
debug: all

3xx:
	@echo Rule 3xx is deprecated. Did you want to use just "make" ?

else



$(TARGET): Makefile.$(TARGET_ARCHITECTURE) $(OBJS) ../../JGE/lib/linux/libjge.a
	$(CXX) -o $(TARGET) $(OBJS) $(LIBS) $(LIBDIR)

linux: $(TARGET)

debug: linux

clean:
	$(RM) $(OBJS) Makefile.$(TARGET_ARCHITECTURE)

endif

$(OBJS): objs/%.o: src/%.cpp
	$(CXX) -c -o $@ $(CXXFLAGS) $<

$(DEPS): deps/%.d: src/%.cpp
	@$(CXX) -MM $(CXXFLAGS) -MQ $(patsubst deps/%.d, objs/%.o, $(@)) -MQ $@ $< > $@

.DEFAULT:
	@echo $@ has been deleted : updating deps.

Makefile.linux:
	$(CXX) -o /dev/null src/testfeatures.c $(LIBDIR) -lfmod-3.75 > /dev/null 2>&1 ; if [ "0" = "$$?" ]; then echo 'FMOD=-lfmod-3.75'; else echo 'FMOD='; fi > $@

-include $(DEPS)
-include Makefile.$(TARGET_ARCHITECTURE)

=== src/projects/mtg/tools/neofont/Makefile ===
INCDIR = -I/usr/include/freetype2
LIBS = -lfreetype

CFLAGS += $(INCDIR)

all : neofont

neofont : neofont.o
	$(CC) -o neofont $(LIBS) $<

clean :
	@rm -f neofont *.o *.asc *.gbk

update : neofont fallback.ttf gkai00mp.ttf mono.ttf
	@./neofont && mv *.asc *.gbk ../../Res/graphics/

=== src/projects/mtg/debian/changelog ===
wagic (0.13.1maemo1) unstable; urgency=low

  * Fixed bitmaps downscaling problems during game
  * Fixed bitmaps not appearing in deckbuilder and shop
 -- Xawotihs <xawotihs@gmail.com>  Sun, 09 Oct 2010 14:11:42 +0200

=== src/projects/mtg/debian/control ===
Source: wagic
Section: user/games
Priority: extra
Maintainer: xawotihs <xawotihs@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libgif-dev, libjpeg62-dev, libpng12-dev, libfreetype6-dev
Standards-Version: 3.7.3
Homepage: http://wololo.net/wagic/
XSBC-Bugtracker: http://code.google.com/p/wagic/issues/list

Package: wagic
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Wagic is an heroic fantasy collectible trading card game
 In Wagic, you play as a wizard against the CPU with your army of minions. You start the game with a small collection of cards (symbolizing creatures and spells), and as you win battles against the AI, you earn credits that allow you to buy more cards and build more powerful decks. As you play, you unlock cards and new game modes, so Wagic is much more than a simple card simulation. Wagic features several thousands of cards in the official release,but if that’s not enough for you, it is highly customizable and allows to create your own cards and mods.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAAO6wAADxIBtXGxVgAAAAd0
 SU1FB9oJGg0aF3bjrCwAAAyNSURBVGje7ZlbbFzHecf/38w5Z+8XLu+UxIss
 iZJoXSw7lh1bSWykdprKKIJCRJqnvjR+SAEDRYH2TVr0JWiBoKgRJHbbwAkC
 p4nQ2HUvkQClMmIbsWJLjmyREkmRXEoUSS25t7Nnz33m64PqJI5tVXLjBAX0
 ezjAAmdm/r+Zc2ZnvwXucIc73OEOd/h/DP0O++bftsAv7+VfGZvoxudjxyTq
 JYnSmAR8gbRNQM+HdLUBCEvDUQqoxDh2TIHo/X2/Z3T6QOmbCxw9KrA6JDHe
 ZcCuSqAgulIuac/6RTvhh6yTFilYhkrppKk5qVkaUPFN+yYDylCWF8vQbQep
 AFmf4ZDsSiVIex1CsXjjxuaNSwuGBtwYq4jw7JPxuzJ00/D5iUTWjjJmKk7H
 ZCRMjg2GKQAtWMVE0mAozQCgmSxhiDRpnWYNk4UmQH5weMEMzQqCHUC2lNYe
 x5JMqU1WJFm+V56kwRFUbETS1bHXtlFwUJ6MALBxk0kysj6ypqX6mblkaJVm
 ISRrJUFEDEFgMIgYJBhayRzZmac2f+/hXUNGF2SBID5sfgSYUlH57YMnLzVz
 VSIZQiqDJVkslMH61xqyYpMRAcpGIrFWCoK4fvRojHL5ZgKjItYqCSEKj2bP
 7X58YGZvXwGpsZy7hURKvvsEkszwc/N3n/7O/NYFW+XxQuWeSmHtW59/cEc0
 PDrSi2S6CKJ3h5EAJGLlxP+2fNc/X253+UKwCXDiU5lzI0cGXj50Vw/1JjNd
 AFnvEXa52/6Lsw88f6lRcKKEamDbBAHATQQymqxYUcTqTHtn45D3wt3Dm5cP
 3ZUvIF8cAlECEAW4WrROr/R/j4lcwQjeMe9z/36Dnn770jN/Pj5wdfDQJzaw
 c9sgjEQXIHKAbuNcvf/lP3vriR8poKFBHcnKesW978rGjDzzxZlnv3JoVzi2
 e3wQVqIIiCRACZyrJ3686OQCkprJDxnHU7+Ykg+m7whyg4K0VIaCYU6525eD
 t3564PK8nUsZTQwOjQDmAFa84uWvXRw/pbWuMVNNkPBbqaHACBzXqF6+99J8
 JFNmE5uHCiCzF65KNf/yrUf+abbZc5UkVgWpdQ1yBTSqGIyqNW7YU+8cbDWb
 cutwGqaVQ6jh/+3F+587W+teYqBqK7eFr/9JiHIZ4kMFjk+qRlfD5TisE2i9
 ntqyMpU9dHxlneLjJ0KsbzQAkYGnM65WFEtGh5hqmnCdiGrnB468bsuei0EI
 XJhjBHEeEHm0dP/6qbUtq0zs+OBGY51qpgyvK8VVEDVn+j43FXCiMb3AsNsu
 AIXZVuHsdxZ3zIJ1S7HRBvpCEPGNh+tmfPnLsZPMORSbdWhqTnUfPtsxSnOx
 Aq6tVAEQUqbISMFEQnJIHCoTNpRqKjbay5l9rwLgtRrgBREgciCRIymYSbMi
 L46xwwtrReXHiXRHE/laGJHMpOvdBSCXzyNmip6ePfASM7VZy1bHcF1gKv7l
 23HTzZoYWxDqrN8mcCNIlupXMvtOa0DNVToAB8ib3GUSpIY2ACChMgFr0WYS
 znTv4Tc1icjzgPVqDRAm0pYo7u3uFBjCSMIwcMG/kaHTAXAjVy4Zpkc3m0il
 Mpi1u9/4l6W7FjjilhKw4eYDlMv61gQAYHJStZrwIdnmSLff6XnijYCTG4tX
 PQTuGgoJ7h/M+RlmWDrSpnCXOUpqT5N224mS7RjdlzQDC0tVMMfImlx8eKC9
 WUhOxuAkSoMmViyZMJKmZFiD4VIxb3jdO7emESMTfHP+wH/EJG2Y3EhG6GAC
 6r0b8q0wkYlijQ4TbNcsNdaTYz9rtYG1tRUIgvzDkeZWQSJhSiOhUBAiYkWa
 Imioemp0SghgadmDjhoQRMYjA629xJwWSWSyiJJdqUwilmGKGMmd6s2t+ZRK
 jmzpxoKTO/+vV8fmIUQzDiKnDjfG5BF9+wKTk7ptks9COyyNzmLXwz/1Q+j5
 hTWAIzw80NqtgaSUUSq0woRm04AkCQhR7En5Q30ACUCH6wAIe0r+fWP5oIti
 zslkmBUUZ4QWWU2U2oGp/bu3SoOsbv/5xd0nndBoGWHcNhJmgOlTAUB8+wIA
 w0lGsaaOJO1cyX2i4hu5K7MLDURBDRNFf78hkFRkZqQ2s5LiHIEzCRkmP5k5
 +3sjg0A2BSwtXgC0h2IiHvzStsYESOYA0aXjuASJ/CBf6xk2lvfu3NbLFbf3
 wjcu77kABVuZ2ksGqQDHj6v3f6ffMlOxKYXPIXVCI+PUEqPnVqqAXV9CIRH3
 f2G0NkrQORiyxJp6wFz8Ir796eFCZ9P2EYFaC/jhiQ049XcgCHR4tPaIlpRl
 TT0aohdaFB8RJ+67ezgYyBX71Xcru36ktLBZaCf0E+F6edL54EPJrVIu69aG
 ChXFLgPecm7/eTcgtVC5ApN08vBIay8x8oJVrxTU08drvfvlm3+wZ7xAPcPj
 12t+drXWBC5emgN0iNFcOPGpgfYmSaIEQT05bpX2iPOPbh8r0bLfO/2N2T0X
 oNjRGh0PM1V86Knqdsgmo8iyPEHKXU3tvBaIZPXizDqgbLqn2zmQS+g8QF1g
 Ln5evvjwaMkd7Onfok81Hvjx+XjPK7EGvzXVgArXIKGtP915/SFNnIHSuYfo
 1J5d/e27uns38bcW9r2kYqOtSTrSDDZQLse/GYFpKNPt+DoWbt0arnfM3rn5
 ZUbYWURfKhp7bHNrBITMkFju3W+ef2zXtqJoqu7Vr144+MZ06bG3FKR/ZUVh
 bWUGBKaDfc7BkqXSBqnEIeMnn9sxWhArQe/085XxiyDYKuosN/7qydbNIt2e
 wA+OaDtNkdbsCaGDmjUy43rgxUoFFunkF0bq+0BsHhYvPDTe7w329A7gxatb
 T674GaeW3F6zzZ7ZIASmppfA2kXRiga+tK229SD9ZHRbob69Z2Ao/uHVnScb
 gdWMwA1n+lTjf4t0ewJEDFdGksjXLL3V7MScgvQuXLwO6Dbu73Pu3ZlcK+wz
 zj+6dbREDdV/5eiFT78KTS4L9q5m73mVGXj7UgdBZwmmYPOJ4dq9j1snP7tr
 W0bUor7Kc4sT5yFgazOuf9Cu838TAIChUEVC+JqEO59/YCmQ6etzlQCeU0FP
 Mtr0N+Pf/eM9Y7qr1D2ov39l/MVOIJtEvAHWzZmex88FlNio1oHKwjTAjHu7
 Kp/8o3ub+wY3jemXlnecuGpna1DUdK/L9q3EuX2BlRVlhEEgGR6T9NtW/6zd
 ASoL8yDVpoNbOnt3jo/getgz/83Z/WeJRF1pqhJQc82uRs0cPqs18OqZa1D+
 HCT7xtCmXbKtu1efntn3BhNsSLYx3Ig/HoFymVuOjBRFPgkdVJPbp+MY/Nob
 ywidKRiJPpDRrf792raT17xcnSTXBYe1iHUDWjhL+ftf16Do8lWgMvc6EFcB
 MnFiZezkNS9XB1RLeSkHTz0VfjwCACNsxEYAn1l6i8WHLmmQWl7TaDeXAA6w
 FiQuf232wBlSqkngRiM2WypUdkTsVAoPznVEoRLHQNvxAACtKFn96tTBV6Bi
 G9po2Xl4t1o3+igCQKmuQisMtIr9qjVSD4zscsICLCsDDTP+9vw9L6y7qTpM
 s6G82AESvgXpGkxtzyq2rqe2nwGBDcMAwHitOnR6xU03wKKlpHKwBeGtRvlo
 AoA2QiOQhuERIWwZAzOWCZimgRUvO/P07IGfQ1HT91SrVer3gKm4ZWcCLUyH
 GZ35wqE3FRmulARXGY1/uHz3azGrNhPsduB7mJxUH69AuaxbWRnFYegLwF9P
 b58q5sHCoPDvpu/5fshGM2JuJFOJNuq/H6Fc1sj3RrEfuWyI9mpx/3Jb9k5b
 psFn6/2vvbK+eRksWyqWbWBHeDtRPuoKAFcasalMj4VwF/P3zxa7kvb5Zv/L
 zy/tukhx1NDCbzY8eCjTjfP7sc+oTjr0dBzcWIX8g//lKcP5x/mJ0wq6zaxa
 TlZ5KH9G/XYESnUVQvg6jDvNxKb1jfT203899egLnkrUYiHqrimdX/3tCiJG
 shMqpjYU7Lnez/78Z42xE/+5MrbACk0VizbyXvjr5/2PrzrNTDj29UzByPcK
 U27KcrvLRrojyLge62itXfFtPPtk9J42R34gC7s7OWVhQGpjoGC6mbaymlpY
 qy2/UcWxr3TerTZ8/CtAxFg1A2RVQ0fqWkdn5plxJVJetZ1pOv9TgH1fqaZV
 tz2E1gZDXe0oa561uSyaTg1Yd283/G/i/wHCM88YWIkSXak+2SBbw80HOHYk
 +tAwR48KYMIAYAFVAH0hypMhfrcw4ehRAWbCHe5whzvcDv8N1OPYWuQ2MTYA
 AAAASUVORK5CYII=

## wagic 0.14.0maemo0

=== src/JGE/Makefile ===
ifeq ($(MAKECMDGOALS),debug)
DEBUG = true
endif

ifeq ($(MAKECMDGOALS),log)
DOLOG = true
endif


GENERIC_OBJS = src/JApp.o src/JGBKFont.o \
	src/JGE.o src/JGui.o src/JLBFont.o \
    src/JLogger.o \
	src/JGameObject.o src/JSpline.o src/JAnimator.o \
	src/JResourceManager.o src/JFileSystem.o \
	src/JNetwork.o \
	src/JParticle.o src/JParticleEmitter.o src/JParticleEffect.o \
	src/JParticleSystem.o \
	src/unzip/ioapi.o src/unzip/mztools.o src/unzip/unzip.o \
	src/JSprite.o src/Vector2D.o \
	src/tinyxml/tinystr.o src/tinyxml/tinyxml.o \
	src/tinyxml/tinyxmlparser.o src/tinyxml/tinyxmlerror.o \
	src/Encoding.o src/JTTFont.o \
	src/JMD2Model.o src/JOBJModel.o
PSP_OBJS = src/JSocket.o src/JGfx.o src/JSfx.o src/JAudio.o src/JMP3.o src/decoder_prx.o src/main.o src/vram.o
LINUX_OBJS = src/pc/JGfx.o src/pc/JSfx.o src/Xmain.o


HGE_OBJS = src/hge/hgecolor.o src/hge/hgeparticle.o \
       src/hge/hgerect.o src/hge/hgevector.o \
       src/hge/hgedistort.o src/hge/hgefont.o


CXXFLAGS = -W -Wall -Werror -Wno-unused

ifdef DEBUG
CXXFLAGS += -ggdb3 -DDOJLOG
endif

ifdef DOLOG
CXXFLAGS += -DDOJLOG
endif

# Determination of target.
# TARGET_ARCHITECTURE variable will then be set to either linux or psp.

RESULT = $(shell psp-config --psp-prefix 2> Makefile.cache)
ifeq ($(RESULT),)
DEFAULT_RULE = linux
TARGET_ARCHITECTURE = linux
else
DEFAULT_RULE = 3xx
TARGET_ARCHITECTURE = psp
TARGET_LIB = libjge300.a
endif

ifeq ($(MAKECMDGOALS),linux)
DEFAULT_RULE = linux
TARGET_ARCHITECTURE = linux
endif
ifeq ($(MAKECMDGOALS),3xx)
DEFAULT_RULE = 3xx
endif
ifeq ($(MAKECMDGOALS),1xx)
DEFAULT_RULE = 1xx
endif

ifeq ($(DEFAULT_RULE),3xx)
TARGET_ARCHITECTURE = psp
TARGET_LIB = libjge300.a
CXXFLAGS += -DDEVHOOK -DPSPFW3XX
PSP_FW_VERSION=371
endif
ifeq ($(DEFAULT_RULE),1xx)
OBJS = $(GENERIC_OBJS) $(PSP_OBJS)
TARGET_LIB = libjge100.a
TARGET_ARCHITECTURE = psp
PSP_FW_VERSION=150
endif

ifeq ($(TARGET_ARCHITECTURE),psp)
PSPSDK = $(shell psp-config --pspsdk-path)
PSPDIR = $(shell psp-config --psp-prefix)
OBJS = $(GENERIC_OBJS) $(PSP_OBJS)
TARGET_HGE = libhgetools.a
INCDIR = include/psp include/psp/freetype2
CXXFLAGS += -O2 -G0
LIBDIR = lib/psp
endif
ifeq ($(TARGET_ARCHITECTURE),linux)
OBJS = $(GENERIC_OBJS) $(LINUX_OBJS)
TARGET_LIB = libjge.a
TARGET_HGE = libhgetools.a
INCDIR = $(shell freetype-config --cflags 2> /dev/null) -I/usr/X11/include
CXXFLAGS += -DLINUX $(FMOD)
CXXFLAGS += $(INCDIR)
LIBDIR = lib/linux
endif

# Set definitive values for variables.
TARGET_LIB := $(LIBDIR)/$(TARGET_LIB)
TARGET_HGE := $(LIBDIR)/$(TARGET_HGE)

ifeq ($(TARGET_ARCHITECTURE),psp)
include $(PSPSDK)/lib/build.mak
endif

all: $(DEFAULT_RULE) Makefile.$(TARGET_ARCHITECTURE) hge

debug: $(DEFAULT_RULE) hge

linux: $(TARGET_LIB) hge

3xx: $(TARGET_LIB)

1xx: $(TARGET_LIB)

install: $(TARGET_LIB) hge

hge: $(TARGET_HGE)

ifeq ($(TARGET_ARCHITECTURE),linux)


$(TARGET_LIB): $(OBJS)
	ar r $(TARGET_LIB) $(OBJS)

$(TARGET_HGE): $(HGE_OBJS)
	ar r $(TARGET_HGE) $(HGE_OBJS)

clean:
	$(RM) -f $(OBJS) $(HGE_OBJS) Makefile.$(TARGET_ARCHITECTURE)
endif

Makefile.psp:
	echo #Makefile.psp > $@

Makefile.linux:
	$(CXX) -o /dev/null src/testfeatures.c -L$(LIBDIR) -lfmod-3.75 > /dev/null 2>&1 ; if [ "0" = "$$?" ]; then echo 'FMOD=-DWITH_FMOD'; else echo 'FMOD=-DWITHOUT_FMOD'; fi > $@

-include Makefile.$(TARGET_ARCHITECTURE)

=== src/projects/mtg/Makefile ===
OBJS = objs/ActionElement.o objs/ActionLayer.o objs/ActionStack.o objs/AIMomirPlayer.o objs/AIPlayer.o objs/AIStats.o objs/AllAbilities.o objs/CardGui.o objs/CardDescriptor.o objs/CardDisplay.o objs/CardEffect.o objs/CardPrimitive.o objs/CardSelector.o objs/CardSelectorSingleton.o objs/Counters.o objs/Credits.o objs/Damage.o objs/DamagerDamaged.o objs/DeckDataWrapper.o objs/DeckEditorMenu.o objs/DeckMenu.o objs/DeckMenuItem.o objs/DeckMetaData.o objs/DeckStats.o objs/DuelLayers.o objs/Effects.o objs/ExtraCost.o objs/GameApp.o objs/GameLauncher.o objs/GameObserver.o objs/GameOptions.o objs/GameState.o objs/GameStateAwards.o objs/GameStateDeckViewer.o objs/GameStateDuel.o  objs/DeckManager.o objs/GameStateMenu.o objs/GameStateOptions.o objs/GameStateShop.o objs/GameStateStory.o objs/GameStateTransitions.o objs/GuiAvatars.o objs/GuiBackground.o objs/GuiCardsController.o objs/GuiCombat.o objs/GuiFrame.o objs/GuiHand.o objs/GuiLayers.o objs/GuiMana.o objs/GuiPhaseBar.o objs/GuiPlay.o objs/GuiStatic.o objs/ManaCost.o objs/ManaCostHybrid.o  objs/MenuItem.o objs/MTGAbility.o objs/MTGCardInstance.o objs/MTGCard.o objs/MTGDeck.o objs/MTGDefinitions.o objs/MTGGamePhase.o objs/MTGGameZones.o objs/MTGPack.o objs/MTGRules.o objs/Navigator.o objs/OptionItem.o objs/PhaseRing.o objs/Player.o objs/PlayerData.o  objs/PlayGuiObjectController.o objs/PlayGuiObject.o objs/Pos.o objs/PrecompiledHeader.o objs/PriceList.o objs/ReplacementEffects.o objs/Rules.o objs/SimpleMenu.o objs/SimpleMenuItem.o objs/SimplePad.o objs/SimplePopup.o objs/StoryFlow.o objs/StyleManager.o objs/Subtypes.o objs/TargetChooser.o objs/TargetsList.o objs/TextScroller.o objs/ThisDescriptor.o objs/Token.o objs/Translate.o objs/TranslateKeys.o objs/Trash.o objs/utils.o objs/WEvent.o objs/WResourceManager.o objs/WCachedResource.o objs/WDataSrc.o objs/WGui.o objs/WFilter.o objs/Tasks.o objs/WFont.o
DEPS = $(patsubst objs/%.o, deps/%.d, $(OBJS))

RESULT = $(shell psp-config --psp-prefix 2> Makefile.cache)
ifeq ($(RESULT),)
DEFAULT_RULE = linux
TARGET_ARCHITECTURE = linux
TARGET = bin/wagic
else
DEFAULT_RULE = 3xx
TARGET_ARCHITECTURE = psp
PSPSDK = $(shell psp-config --pspsdk-path)
PSPDIR = $(shell psp-config --psp-prefix)
TARGET = wagic
endif
ifeq ($(MAKECMDGOALS),debug)
DEFAULT_RULE = debug
endif
ifeq ($(MAKECMDGOALS),linux)
DEFAULT_RULE = linux
TARGET_ARCHITECTURE = linux
endif

ifeq ($(TARGET_ARCHITECTURE),psp)
DEFAULT_RULE = 3xx
TARGET_ARCHITECTURE = psp
PSP_FW_VERSION=371
BUILD_PRX = 1
LIBS = -ljge300 -lhgetools -lfreetype -ljpeg -lgif -lpng -lz -lm -lmikmod -lpsppower -lpspmpeg -lpspaudiocodec -lpspaudiolib -lpspaudio -lpspmp3 -lpspgum -lpspgu -lpsprtc -lstdc++ -lpspfpu

EXTRA_TARGETS = EBOOT.PBP
PSP_EBOOT_TITLE = Wagic, the Homebrew?!
PSP_EBOOT_ICON = icon.png
#PSP_EBOOT_ICON1 = icon1.pmf
PSP_EBOOT_UNKPNG = pic0.png
PSP_EBOOT_PIC1 = pic1.png
INCDIR = ../../JGE/include ../../JGE/include/psp ../../JGE/include/psp/freetype2 ../../JGE/src ../../projects/mtg/include ../../Boost
LIBDIR = ../../JGE/lib/psp
CFLAGS = -O2 -G0 -DPSPFW3XX -DDEVHOOK -DUSE_PRECOMPILED_HEADERS=1
else
OBJS += objs/TestSuiteAI.o
INCDIR = -I../../JGE/include -I../../JGE/src -I/usr/X11/include -I../../projects/mtg/include -I../../Boost
LIBDIR = -L../../JGE/lib/linux -L../../JGE -L/usr/X11/lib -L../../Boost/lib
LIBS = -ljge -lfreetype -ljpeg -lgif -lpng -lz -lm -lstdc++ -lhgetools -lGL -lGLU -lX11 -lboost_thread $(FMOD)
CFLAGS = $(INCDIR) -DLINUX -DUSE_PRECOMPILED_HEADERS=1
ASFLAGS = $(CXXFLAGS)

all: $(DEFAULT_RULE)

endif

CFLAGS := -Wall -W -Werror -Wno-unused $(CFLAGS)
CXXFLAGS += $(CFLAGS)
# -fno-exceptions

LDFLAGS += $(LIBS)



debug: CXXFLAGS += -ggdb3 -D_DEBUG -DDEBUG

log: CXXFLAGS += -DDOLOG




ifeq ($(TARGET_ARCHITECTURE),psp)
include $(PSPSDK)/lib/build.mak

EXTRA_CLEAN += PrecompiledHeader.h.gch ../../projects/mtg/include/PrecompiledHeader.h.gch

log: all
debug: all

3xx:
	@echo Rule 3xx is deprecated. Did you want to use just "make" ?

else



$(TARGET): Makefile.$(TARGET_ARCHITECTURE) $(OBJS) ../../JGE/lib/linux/libjge.a
	$(CXX) -o $(TARGET) $(OBJS) $(LIBS) $(LIBDIR)

linux: $(TARGET)

debug: linux

clean:
	$(RM) PrecompiledHeader.h.gch $(OBJS) Makefile.$(TARGET_ARCHITECTURE)

endif

define compile
$(CXX) -c $(CXXFLAGS) $< -o $@  
endef

PrecompiledHeader.h.gch: ../../projects/mtg/include/PrecompiledHeader.h
	$(compile)

$(OBJS): objs/%.o: src/%.cpp PrecompiledHeader.h.gch
	$(compile)

$(DEPS): deps/%.d: src/%.cpp
	@$(CXX) -MM $(CXXFLAGS) -MQ $(patsubst deps/%.d, objs/%.o, $(@)) -MQ $@ $< > $@

.DEFAULT:
	@echo $@ has been deleted : updating deps.

Makefile.linux:
	$(CXX) -o /dev/null src/testfeatures.c $(LIBDIR) -lfmod-3.75 > /dev/null 2>&1 ; if [ "0" = "$$?" ]; then echo 'FMOD=-lfmod-3.75'; else echo 'FMOD='; fi > $@

-include $(DEPS)
-include Makefile.$(TARGET_ARCHITECTURE)

=== src/projects/mtg/debian/changelog ===
wagic (0.14.0maemo0) unstable; urgency=low

  * Touch interface
  * Usage of the volume buttons to go to next phase and interrupt
  * CPU load improvements
  * Fixed upgrade
  * wagic 0.14.0
 -- Xawotihs <xawotihs@gmail.com>  Sun, 12 Dec 2010 14:11:42 +0200

=== src/projects/mtg/debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/games
 Priority: extra
 Maintainer: xawotihs <xawotihs@gmail.com>
-Build-Depends: debhelper (>= 5), libqt4-dev, libgif-dev, libjpeg62-dev, libpng12-dev, libfreetype6-dev
+Build-Depends: debhelper (>= 5), libqt4-dev, zlib1g-dev, libx11-dev, mce-dev
 Standards-Version: 3.7.3
 Homepage: http://wololo.net/wagic/
 XSBC-Bugtracker: http://code.google.com/p/wagic/issues/list

## wagic 0.14.1maemo0

=== src/projects/mtg/debian/changelog ===
wagic (0.14.1maemo0) unstable; urgency=low

  * Fixed crashes in the touch interface
  * Changed the installation mechanism to be able to work while the FAT partition is mounted
  * wagic 0.14.1
 -- Xawotihs <xawotihs@gmail.com>  Wed, 29 Dec 2010 14:11:42 +0200

## wagic 0.15.1maemo0

=== src/projects/mtg/debian/changelog ===
wagic (0.15.1maemo0) unstable; urgency=low

  * Added touch support in settings
  * wagic 0.15.1
 -- Xawotihs <xawotihs@gmail.com>  Mon, 11 Apr 2011 14:11:42 +0200

## wagic 0.15.1maemo1

=== src/JGE/Makefile ===
--- 
+++ 
@@ -82,7 +82,7 @@
 PSPDIR = $(shell psp-config --psp-prefix)
 OBJS = $(GENERIC_OBJS) $(PSP_OBJS)
 TARGET_HGE = libhgetools.a
-INCDIR = include/psp include/psp/freetype2
+INCDIR = include/psp include/psp/freetype2 ../Boost
 CXXFLAGS += -O2 -G0
 LIBDIR = lib/psp
 endif
@@ -90,7 +90,7 @@
 OBJS = $(GENERIC_OBJS) $(LINUX_OBJS)
 TARGET_LIB = libjge.a
 TARGET_HGE = libhgetools.a
-INCDIR = $(shell freetype-config --cflags 2> /dev/null) -I/usr/X11/include
+INCDIR = $(shell freetype-config --cflags 2> /dev/null) -I/usr/X11/include -I../Boost
 CXXFLAGS += -DLINUX $(FMOD)
 CXXFLAGS += $(INCDIR)
 LIBDIR = lib/linux

=== src/projects/mtg/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-OBJS = objs/ActionElement.o objs/ActionLayer.o objs/ActionStack.o objs/AIMomirPlayer.o objs/AIPlayer.o objs/AIStats.o objs/AllAbilities.o objs/CardGui.o objs/CardDescriptor.o objs/CardDisplay.o objs/CardEffect.o objs/CardPrimitive.o objs/CardSelector.o objs/CardSelectorSingleton.o objs/Counters.o objs/Credits.o objs/Damage.o objs/DamagerDamaged.o objs/DeckDataWrapper.o objs/DeckEditorMenu.o objs/DeckMenu.o objs/DeckMenuItem.o objs/DeckMetaData.o objs/DeckStats.o objs/DuelLayers.o objs/Effects.o objs/ExtraCost.o objs/GameApp.o objs/GameLauncher.o objs/GameObserver.o objs/GameOptions.o objs/GameState.o objs/GameStateAwards.o objs/GameStateDeckViewer.o objs/GameStateDuel.o  objs/DeckManager.o objs/GameStateMenu.o objs/GameStateOptions.o objs/GameStateShop.o objs/GameStateStory.o objs/GameStateTransitions.o objs/GuiAvatars.o objs/GuiBackground.o objs/GuiCardsController.o objs/GuiCombat.o objs/GuiFrame.o objs/GuiHand.o objs/GuiLayers.o objs/GuiMana.o objs/GuiPhaseBar.o objs/GuiPlay.o objs/GuiStatic.o objs/ManaCost.o objs/ManaCostHybrid.o  objs/MenuItem.o objs/MTGAbility.o objs/MTGCardInstance.o objs/MTGCard.o objs/MTGDeck.o objs/MTGDefinitions.o objs/MTGGamePhase.o objs/MTGGameZones.o objs/MTGPack.o objs/MTGRules.o objs/Navigator.o objs/OptionItem.o objs/PhaseRing.o objs/Player.o objs/PlayerData.o  objs/PlayGuiObjectController.o objs/PlayGuiObject.o objs/Pos.o objs/PrecompiledHeader.o objs/PriceList.o objs/ReplacementEffects.o objs/Rules.o objs/SimpleMenu.o objs/SimpleMenuItem.o objs/SimplePad.o objs/SimplePopup.o objs/StoryFlow.o objs/StyleManager.o objs/Subtypes.o objs/TargetChooser.o objs/TargetsList.o objs/TextScroller.o objs/ThisDescriptor.o objs/Token.o objs/Translate.o objs/TranslateKeys.o objs/Trash.o objs/utils.o objs/WEvent.o objs/WResourceManager.o objs/WCachedResource.o objs/WDataSrc.o objs/WGui.o objs/WFilter.o objs/Tasks.o objs/WFont.o
+OBJS = objs/ActionElement.o objs/ActionLayer.o objs/ActionStack.o objs/AIMomirPlayer.o objs/AIPlayer.o objs/AIStats.o objs/AllAbilities.o objs/CardGui.o objs/CardDescriptor.o objs/CardDisplay.o objs/CardEffect.o objs/CardPrimitive.o objs/CardSelector.o objs/CardSelectorSingleton.o objs/Counters.o objs/Credits.o objs/Damage.o objs/DamagerDamaged.o objs/DeckDataWrapper.o objs/DeckEditorMenu.o objs/DeckMenu.o objs/DeckMenuItem.o objs/DeckMetaData.o objs/DeckStats.o objs/DuelLayers.o objs/Effects.o objs/ExtraCost.o objs/GameApp.o objs/GameLauncher.o objs/GameObserver.o objs/GameOptions.o objs/GameState.o objs/GameStateAwards.o objs/GameStateDeckViewer.o objs/GameStateDuel.o  objs/DeckManager.o objs/GameStateMenu.o objs/GameStateOptions.o objs/GameStateShop.o objs/GameStateStory.o objs/GameStateTransitions.o objs/GuiAvatars.o objs/GuiBackground.o objs/GuiCardsController.o objs/GuiCombat.o objs/GuiFrame.o objs/GuiHand.o objs/GuiLayers.o objs/GuiMana.o objs/GuiPhaseBar.o objs/GuiPlay.o objs/GuiStatic.o objs/ManaCost.o objs/ManaCostHybrid.o  objs/MenuItem.o objs/MTGAbility.o objs/MTGCardInstance.o objs/MTGCard.o objs/MTGDeck.o objs/MTGDefinitions.o objs/MTGGamePhase.o objs/MTGGameZones.o objs/MTGPack.o objs/MTGRules.o objs/Navigator.o objs/OptionItem.o objs/PhaseRing.o objs/Player.o objs/PlayerData.o  objs/PlayGuiObjectController.o objs/PlayGuiObject.o objs/PlayRestrictions.o objs/Pos.o objs/PrecompiledHeader.o objs/PriceList.o objs/ReplacementEffects.o objs/Rules.o objs/SimpleMenu.o objs/SimpleMenuItem.o objs/SimplePad.o objs/SimplePopup.o objs/StoryFlow.o objs/StyleManager.o objs/Subtypes.o objs/TargetChooser.o objs/TargetsList.o objs/TextScroller.o objs/ThisDescriptor.o objs/Token.o objs/Translate.o objs/TranslateKeys.o objs/Trash.o objs/utils.o objs/WEvent.o objs/WResourceManager.o objs/WCachedResource.o objs/WDataSrc.o objs/WGui.o objs/WFilter.o objs/Tasks.o objs/WFont.o
 DEPS = $(patsubst objs/%.o, deps/%.d, $(OBJS))
 
 RESULT = $(shell psp-config --psp-prefix 2> Makefile.cache)
@@ -26,6 +26,7 @@
 TARGET_ARCHITECTURE = psp
 PSP_FW_VERSION=371
 BUILD_PRX = 1
+#SIGN_PRX = 1
 LIBS = -ljge300 -lhgetools -lfreetype -ljpeg -lgif -lpng -lz -lm -lmikmod -lpsppower -lpspmpeg -lpspaudiocodec -lpspaudiolib -lpspaudio -lpspmp3 -lpspgum -lpspgu -lpsprtc -lstdc++ -lpspfpu
 
 EXTRA_TARGETS = EBOOT.PBP

=== src/projects/mtg/debian/changelog ===
wagic (0.15.1maemo1) unstable; urgency=low

  * Fixed upgrade problem causing the multi-land per turn bug
  * Fixed shop card display problem when using touch interface
 -- Xawotihs <xawotihs@gmail.com>  Mon, 16 Apr 2011 14:11:42 +0200

=== src/projects/mtg/debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/games
 Priority: extra
 Maintainer: xawotihs <xawotihs@gmail.com>
-Build-Depends: debhelper (>= 5), libqt4-dev, zlib1g-dev, libx11-dev, mce-dev
+Build-Depends: debhelper (>= 5), libqt4-dev, zlib1g-dev, libx11-dev, mce-dev, libgif-dev, libjpeg62-dev, libpng12-dev,
 Standards-Version: 3.7.3
 Homepage: http://wololo.net/wagic/
 XSBC-Bugtracker: http://code.google.com/p/wagic/issues/list

=== src/projects/mtg/debian/rules ===
#!/usr/bin/make -f
APPNAME := wagic
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && qmake-qt4 PREFIX=/usr ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir
	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	rm -rf builddir
	dh_clean
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/your_appname
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

## wagic 0.16.0maemo0

=== src/JGE/Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 CXXFLAGS = -W -Wall -Werror -Wno-unused
 
 ifdef DEBUG
-CXXFLAGS += -ggdb3 -DDOJLOG
+CXXFLAGS += -ggdb3
 endif
 
 ifdef DOLOG
@@ -60,21 +60,12 @@
 ifeq ($(MAKECMDGOALS),3xx)
 DEFAULT_RULE = 3xx
 endif
-ifeq ($(MAKECMDGOALS),1xx)
-DEFAULT_RULE = 1xx
-endif
 
 ifeq ($(DEFAULT_RULE),3xx)
 TARGET_ARCHITECTURE = psp
 TARGET_LIB = libjge300.a
 CXXFLAGS += -DDEVHOOK -DPSPFW3XX
 PSP_FW_VERSION=371
-endif
-ifeq ($(DEFAULT_RULE),1xx)
-OBJS = $(GENERIC_OBJS) $(PSP_OBJS)
-TARGET_LIB = libjge100.a
-TARGET_ARCHITECTURE = psp
-PSP_FW_VERSION=150
 endif
 
 ifeq ($(TARGET_ARCHITECTURE),psp)
@@ -83,7 +74,7 @@
 OBJS = $(GENERIC_OBJS) $(PSP_OBJS)
 TARGET_HGE = libhgetools.a
 INCDIR = include/psp include/psp/freetype2 ../Boost
-CXXFLAGS += -O2 -G0
+CXXFLAGS += -O2 -G0 -DPSP
 LIBDIR = lib/psp
 endif
 ifeq ($(TARGET_ARCHITECTURE),linux)
@@ -112,8 +103,6 @@
 
 3xx: $(TARGET_LIB)
 
-1xx: $(TARGET_LIB)
-
 install: $(TARGET_LIB) hge
 
 hge: $(TARGET_HGE)

=== src/projects/mtg/Makefile ===
OBJS = objs/ActionElement.o objs/ActionLayer.o objs/ActionStack.o objs/AIHints.o objs/AIMomirPlayer.o objs/AIPlayer.o objs/AIStats.o objs/AllAbilities.o objs/CardGui.o objs/CardDescriptor.o objs/CardDisplay.o objs/CardEffect.o objs/CardPrimitive.o objs/CardSelector.o objs/CardSelectorSingleton.o objs/Counters.o objs/Credits.o objs/Damage.o objs/DamagerDamaged.o objs/DeckDataWrapper.o objs/DeckEditorMenu.o objs/DeckMenu.o objs/DeckMenuItem.o objs/DeckMetaData.o objs/DeckStats.o objs/DuelLayers.o objs/Effects.o objs/ExtraCost.o objs/GameApp.o objs/GameLauncher.o objs/GameObserver.o objs/GameOptions.o objs/GameState.o objs/GameStateAwards.o objs/GameStateDeckViewer.o objs/GameStateDuel.o  objs/DeckManager.o objs/GameStateMenu.o objs/GameStateOptions.o objs/GameStateShop.o objs/GameStateStory.o objs/GameStateTransitions.o objs/GuiAvatars.o objs/GuiBackground.o objs/GuiCardsController.o objs/GuiCombat.o objs/GuiFrame.o objs/GuiHand.o objs/GuiLayers.o objs/GuiMana.o objs/GuiPhaseBar.o objs/GuiPlay.o objs/GuiStatic.o objs/IconButton.o objs/ManaCost.o objs/ManaCostHybrid.o  objs/MenuItem.o objs/ModRules.o objs/MTGAbility.o objs/MTGCardInstance.o objs/MTGCard.o objs/MTGDeck.o objs/MTGDefinitions.o objs/MTGGamePhase.o objs/MTGGameZones.o objs/MTGPack.o objs/MTGRules.o objs/Navigator.o objs/ObjectAnalytics.o objs/OptionItem.o objs/PhaseRing.o objs/Player.o objs/PlayerData.o  objs/PlayGuiObjectController.o objs/PlayGuiObject.o objs/PlayRestrictions.o objs/Pos.o objs/PrecompiledHeader.o objs/PriceList.o objs/ReplacementEffects.o objs/Rules.o objs/SimpleMenu.o objs/SimpleMenuItem.o objs/SimplePad.o objs/SimplePopup.o objs/StoryFlow.o objs/StyleManager.o objs/Subtypes.o objs/TargetChooser.o objs/TargetsList.o objs/TextScroller.o objs/ThisDescriptor.o objs/Token.o objs/Translate.o objs/TranslateKeys.o objs/Trash.o objs/utils.o objs/WEvent.o objs/WResourceManager.o objs/WCachedResource.o objs/WDataSrc.o objs/WGui.o objs/WFilter.o objs/Tasks.o objs/WFont.o
DEPS = $(patsubst objs/%.o, deps/%.d, $(OBJS))

RESULT = $(shell psp-config --psp-prefix 2> Makefile.cache)
ifeq ($(RESULT),)
DEFAULT_RULE = linux
TARGET_ARCHITECTURE = linux
TARGET = bin/wagic
else
DEFAULT_RULE = 3xx
TARGET_ARCHITECTURE = psp
PSPSDK = $(shell psp-config --pspsdk-path)
PSPDIR = $(shell psp-config --psp-prefix)
TARGET = wagic
endif
ifeq ($(MAKECMDGOALS),debug)
DEFAULT_RULE = debug
endif
ifeq ($(MAKECMDGOALS),linux)
DEFAULT_RULE = linux
TARGET_ARCHITECTURE = linux
endif

ifeq ($(TARGET_ARCHITECTURE),psp)
DEFAULT_RULE = 3xx
TARGET_ARCHITECTURE = psp
PSP_FW_VERSION=371
BUILD_PRX = 1
SIGN_PRX = 1
LIBS = -ljge300 -lhgetools -lfreetype -ljpeg -lgif -lpng -lz -lm -lmikmod -lpsppower -lpspmpeg -lpspaudiocodec -lpspaudiolib -lpspaudio -lpspmp3 -lpspgum -lpspgu -lpsprtc -lstdc++ -lpspfpu

EXTRA_TARGETS = EBOOT.PBP
PSP_EBOOT_TITLE = Wagic, the Homebrew?!
PSP_EBOOT_ICON = icon.png
#PSP_EBOOT_ICON1 = icon1.pmf
PSP_EBOOT_UNKPNG = pic0.png
PSP_EBOOT_PIC1 = pic1.png
INCDIR = ../../JGE/include ../../JGE/include/psp ../../JGE/include/psp/freetype2 ../../JGE/src ../../projects/mtg/include ../../Boost
LIBDIR = ../../JGE/lib/psp
CFLAGS = -O2 -G0 -DPSPFW3XX -DDEVHOOK -DUSE_PRECOMPILED_HEADERS=1 -DPSP
else
OBJS += objs/TestSuiteAI.o
INCDIR = -I../../JGE/include -I../../JGE/src -I/usr/X11/include -I../../projects/mtg/include -I../../Boost
LIBDIR = -L../../JGE/lib/linux -L../../JGE -L/usr/X11/lib -L../../Boost/lib
LIBS = -ljge -lfreetype -ljpeg -lgif -lpng -lz -lm -lstdc++ -lhgetools -lGL -lGLU -lX11 -lboost_thread $(FMOD)
CFLAGS = $(INCDIR) -DLINUX -DUSE_PRECOMPILED_HEADERS=1
ASFLAGS = $(CXXFLAGS)

all: $(DEFAULT_RULE)

endif

CFLAGS := -Wall -W -Werror -Wno-unused $(CFLAGS)
CXXFLAGS += $(CFLAGS)
# -fno-exceptions

LDFLAGS += $(LIBS)

debug: CXXFLAGS += -ggdb3 -D_DEBUG -DDEBUG

log: CXXFLAGS += -DDOLOG


ifeq ($(TARGET_ARCHITECTURE),psp)
include $(PSPSDK)/lib/build.mak

EXTRA_CLEAN += PrecompiledHeader.h.gch ../../projects/mtg/include/PrecompiledHeader.h.gch

log: all
debug: all

3xx:
	@echo Rule 3xx is deprecated. Did you want to use just "make" ?

else



$(TARGET): Makefile.$(TARGET_ARCHITECTURE) $(OBJS) ../../JGE/lib/linux/libjge.a
	$(CXX) -o $(TARGET) $(OBJS) $(LIBS) $(LIBDIR)

linux: $(TARGET)

debug: linux

clean:
	$(RM) PrecompiledHeader.h.gch $(OBJS) Makefile.$(TARGET_ARCHITECTURE)

endif

define compile
$(CXX) -c $(CXXFLAGS) $< -o $@  
endef

PrecompiledHeader.h.gch: ../../projects/mtg/include/PrecompiledHeader.h
	$(compile)

$(OBJS): objs/%.o: src/%.cpp PrecompiledHeader.h.gch
	$(compile)

$(DEPS): deps/%.d: src/%.cpp
	@$(CXX) -MM $(CXXFLAGS) -MQ $(patsubst deps/%.d, objs/%.o, $(@)) -MQ $@ $< > $@

.DEFAULT:
	@echo $@ has been deleted : updating deps.

Makefile.linux:
	$(CXX) -o /dev/null src/testfeatures.c $(LIBDIR) -lfmod-3.75 > /dev/null 2>&1 ; if [ "0" = "$$?" ]; then echo 'FMOD=-lfmod-3.75'; else echo 'FMOD='; fi > $@

-include $(DEPS)
-include Makefile.$(TARGET_ARCHITECTURE)

=== src/projects/mtg/debian/changelog ===
wagic (0.16.0maemo0) unstable; urgency=low

  * Fixed Phonon sound problem
  * Improved upgrade script
  * Wagic 0.16.0
 -- Xawotihs <xawotihs@gmail.com>  Mon, 18 Jul 2011 14:11:42 +0200

## wagic 0.17.1maemo0

=== src/projects/mtg/debian/changelog ===
wagic (0.17.1maemo0) unstable; urgency=low

  * Merged UI with Android and Meego versions
  * Resources are now downloaded seperately
  * Wagic 0.17.1
 -- Xawotihs <xawotihs@gmail.com>  Mon, 21 Jan 2012 14:11:42 +0200

## wagic 0.17.1maemo1

=== src/projects/mtg/Makefile ===
OBJS = objs/AbilityParser.o objs/ActionElement.o objs/ActionLayer.o objs/ActionStack.o objs/AIHints.o objs/AIMomirPlayer.o objs/AIPlayer.o objs/AIPlayerBaka.o objs/AIStats.o objs/AllAbilities.o objs/CardGui.o objs/CardDescriptor.o objs/CardDisplay.o objs/CardEffect.o objs/CardPrimitive.o objs/CardSelector.o objs/CardSelectorSingleton.o objs/Counters.o objs/Credits.o objs/Damage.o objs/DamagerDamaged.o objs/DeckDataWrapper.o objs/DeckEditorMenu.o objs/DeckMenu.o objs/DeckMenuItem.o objs/DeckMetaData.o objs/DeckStats.o objs/DuelLayers.o objs/Effects.o objs/ExtraCost.o objs/GameApp.o objs/GameLauncher.o objs/GameObserver.o objs/GameOptions.o objs/GameState.o objs/GameStateAwards.o objs/GameStateDeckViewer.o objs/GameStateDuel.o  objs/DeckManager.o objs/GameStateMenu.o objs/GameStateOptions.o objs/GameStateShop.o objs/GameStateStory.o objs/GameStateTransitions.o objs/GuiAvatars.o objs/GuiBackground.o objs/GuiCardsController.o objs/GuiCombat.o objs/GuiFrame.o objs/GuiHand.o objs/GuiLayers.o objs/GuiMana.o objs/GuiPhaseBar.o objs/GuiPlay.o objs/GuiStatic.o objs/IconButton.o objs/ManaCost.o objs/ManaCostHybrid.o  objs/MenuItem.o objs/ModRules.o objs/MTGAbility.o objs/MTGCardInstance.o objs/MTGCard.o objs/MTGDeck.o objs/MTGDefinitions.o objs/MTGGamePhase.o objs/MTGGameZones.o objs/MTGPack.o objs/MTGRules.o objs/Navigator.o objs/ObjectAnalytics.o objs/OptionItem.o objs/PhaseRing.o objs/Player.o objs/PlayerData.o  objs/PlayGuiObjectController.o objs/PlayGuiObject.o objs/PlayRestrictions.o objs/Pos.o objs/PrecompiledHeader.o objs/PriceList.o objs/ReplacementEffects.o objs/Rules.o objs/SimpleMenu.o objs/SimpleMenuItem.o objs/SimplePad.o objs/SimplePopup.o objs/StoryFlow.o objs/StyleManager.o objs/Subtypes.o objs/TargetChooser.o objs/TargetsList.o objs/TextScroller.o objs/ThisDescriptor.o objs/Token.o objs/Translate.o objs/TranslateKeys.o objs/Trash.o objs/utils.o objs/WEvent.o objs/WResourceManager.o objs/WCachedResource.o objs/WDataSrc.o objs/WGui.o objs/WFilter.o objs/Tasks.o objs/WFont.o
DEPS = $(patsubst objs/%.o, deps/%.d, $(OBJS))

RESULT = $(shell psp-config --psp-prefix 2> Makefile.cache)
QMAKE = qmake
QMAKEFILE = wagic-qt.pro
ifeq ($(RESULT),)
DEFAULT_RULE = qt
TARGET_ARCHITECTURE = linux
TARGET = bin/wagic
else
DEFAULT_RULE = 3xx
TARGET_ARCHITECTURE = psp
PSPSDK = $(shell psp-config --pspsdk-path)
PSPDIR = $(shell psp-config --psp-prefix)
TARGET = wagic
endif
ifeq ($(MAKECMDGOALS),debug)
DEFAULT_RULE = debug
endif
ifeq ($(MAKECMDGOALS),qt)
DEFAULT_RULE = qt
TARGET_ARCHITECTURE = linux
endif
ifeq ($(MAKECMDGOALS),x11)
# TODO: take other X11 platforms into account. Or not.
DEFAULT_RULE = linux.x11
TARGET_ARCHITECTURE = linux
endif

ifeq ($(TARGET_ARCHITECTURE),psp)
DEFAULT_RULE = 3xx
TARGET_ARCHITECTURE = psp
PSP_FW_VERSION=371
BUILD_PRX = 1
SIGN_PRX = 1
LIBS = -ljge300 -lhgetools -lfreetype -ljpeg -lgif -lpng -lz -lm -lmikmod -lpsppower -lpspmpeg -lpspaudiocodec -lpspaudiolib -lpspaudio -lpspmp3 -lpspgum -lpspgu -lpsprtc -lstdc++ -lpspfpu

EXTRA_TARGETS = EBOOT.PBP
PSP_EBOOT_TITLE = Wagic, the Homebrew?!
PSP_EBOOT_ICON = icon.png
#PSP_EBOOT_ICON1 = icon1.pmf
PSP_EBOOT_UNKPNG = pic0.png
PSP_EBOOT_PIC1 = pic1.png
INCDIR = ../../JGE/include ../../JGE/src/zipFS ../../JGE/include/psp ../../JGE/include/psp/freetype2 ../../JGE/src ../../projects/mtg/include ../../Boost
LIBDIR = ../../JGE/lib/psp
CFLAGS = -O2 -G0 -DPSPFW3XX -DDEVHOOK -DUSE_PRECOMPILED_HEADERS=1 -DPSP
else
OBJS += objs/TestSuiteAI.o
INCDIR = -I../../JGE/include -I../../JGE/src -I/usr/X11/include -I../../projects/mtg/include -I../../Boost -I../../JGE/src/zipFS
LIBDIR = -L../../JGE/lib/linux -L../../JGE -L/usr/X11/lib -L../../Boost/lib
LIBS = -ljge -lfreetype -ljpeg -lgif -lpng -lz -lm -lstdc++ -lhgetools -lGL -lGLU -lX11 -lboost_thread $(FMOD)
CFLAGS = $(INCDIR) -DLINUX -DUSE_PRECOMPILED_HEADERS=1
ASFLAGS = $(CXXFLAGS)

all: $(DEFAULT_RULE)

endif

CFLAGS := -Wall -W -Werror -Wno-unused $(CFLAGS)
CXXFLAGS += $(CFLAGS)
# -fno-exceptions

LDFLAGS += $(LIBS)

debug: CXXFLAGS += -ggdb3 -D_DEBUG -DDEBUG -DDEBUG_CACHE

log: CXXFLAGS += -DDOLOG


ifeq ($(TARGET_ARCHITECTURE),psp)
include $(PSPSDK)/lib/build.mak

EXTRA_CLEAN += PrecompiledHeader.h.gch ../../projects/mtg/include/PrecompiledHeader.h.gch

log: all
debug: all

3xx:
	@echo Rule 3xx is deprecated. Did you want to use just "make" ?

else



$(TARGET): Makefile.$(TARGET_ARCHITECTURE) $(OBJS) ../../JGE/lib/linux/libjge.a
	$(CXX) -o $(TARGET) $(OBJS) $(LIBS) $(LIBDIR)

x11: $(TARGET)

qt: Makefile.qt
	$(MAKE) -f Makefile.qt

debug: linux

clean:
	$(RM) PrecompiledHeader.h.gch $(OBJS) Makefile.$(TARGET_ARCHITECTURE)

endif

define compile
$(CXX) -c $(CXXFLAGS) $< -o $@  
endef

PrecompiledHeader.h.gch: ../../projects/mtg/include/PrecompiledHeader.h
	$(compile)

$(OBJS): objs/%.o: src/%.cpp PrecompiledHeader.h.gch
	$(compile)

$(DEPS): deps/%.d: src/%.cpp
	@$(CXX) -MM $(CXXFLAGS) -MQ $(patsubst deps/%.d, objs/%.o, $(@)) -MQ $@ $< > $@

.DEFAULT:
	@echo $@ has been deleted : updating deps.

Makefile.linux:
	$(CXX) -o /dev/null src/testfeatures.c $(LIBDIR) -lfmod-3.75 > /dev/null 2>&1 ; if [ "0" = "$$?" ]; then echo 'FMOD=-lfmod-3.75'; else echo 'FMOD='; fi > $@

Makefile.qt:
	$(QMAKE) -o $@ $(QMAKEFILE)

-include $(DEPS)
-include Makefile.$(TARGET_ARCHITECTURE)

=== src/projects/mtg/debian/changelog ===
wagic (0.17.1maemo1) unstable; urgency=low

  * Fixed offline mode and resource package download
 -- Xawotihs <xawotihs@gmail.com>  Mon, 25 Jan 2012 14:11:42 +0200

## wagic 0.18.6maemo0

=== src/projects/mtg/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-OBJS = objs/AbilityParser.o objs/ActionElement.o objs/ActionLayer.o objs/ActionStack.o objs/AIHints.o objs/AIMomirPlayer.o objs/AIPlayer.o objs/AIPlayerBaka.o objs/AIStats.o objs/AllAbilities.o objs/CardGui.o objs/CardDescriptor.o objs/CardDisplay.o objs/CardEffect.o objs/CardPrimitive.o objs/CardSelector.o objs/CardSelectorSingleton.o objs/Counters.o objs/Credits.o objs/Damage.o objs/DamagerDamaged.o objs/DeckDataWrapper.o objs/DeckEditorMenu.o objs/DeckMenu.o objs/DeckMenuItem.o objs/DeckMetaData.o objs/DeckStats.o objs/DuelLayers.o objs/Effects.o objs/ExtraCost.o objs/GameApp.o objs/GameLauncher.o objs/GameObserver.o objs/GameOptions.o objs/GameState.o objs/GameStateAwards.o objs/GameStateDeckViewer.o objs/GameStateDuel.o  objs/DeckManager.o objs/GameStateMenu.o objs/GameStateOptions.o objs/GameStateShop.o objs/GameStateStory.o objs/GameStateTransitions.o objs/GuiAvatars.o objs/GuiBackground.o objs/GuiCardsController.o objs/GuiCombat.o objs/GuiFrame.o objs/GuiHand.o objs/GuiLayers.o objs/GuiMana.o objs/GuiPhaseBar.o objs/GuiPlay.o objs/GuiStatic.o objs/IconButton.o objs/ManaCost.o objs/ManaCostHybrid.o  objs/MenuItem.o objs/ModRules.o objs/MTGAbility.o objs/MTGCardInstance.o objs/MTGCard.o objs/MTGDeck.o objs/MTGDefinitions.o objs/MTGGamePhase.o objs/MTGGameZones.o objs/MTGPack.o objs/MTGRules.o objs/Navigator.o objs/ObjectAnalytics.o objs/OptionItem.o objs/PhaseRing.o objs/Player.o objs/PlayerData.o  objs/PlayGuiObjectController.o objs/PlayGuiObject.o objs/PlayRestrictions.o objs/Pos.o objs/PrecompiledHeader.o objs/PriceList.o objs/ReplacementEffects.o objs/Rules.o objs/SimpleMenu.o objs/SimpleMenuItem.o objs/SimplePad.o objs/SimplePopup.o objs/StoryFlow.o objs/StyleManager.o objs/Subtypes.o objs/TargetChooser.o objs/TargetsList.o objs/TextScroller.o objs/ThisDescriptor.o objs/Token.o objs/Translate.o objs/TranslateKeys.o objs/Trash.o objs/utils.o objs/WEvent.o objs/WResourceManager.o objs/WCachedResource.o objs/WDataSrc.o objs/WGui.o objs/WFilter.o objs/Tasks.o objs/WFont.o
+OBJS = objs/InteractiveButton.o objs/AbilityParser.o objs/ActionElement.o objs/ActionLayer.o objs/ActionStack.o objs/AIHints.o objs/AIMomirPlayer.o objs/AIPlayer.o objs/AIPlayerBaka.o objs/AIStats.o objs/AllAbilities.o objs/CardGui.o objs/CardDescriptor.o objs/CardDisplay.o objs/CardEffect.o objs/CardPrimitive.o objs/CardSelector.o objs/CardSelectorSingleton.o objs/Counters.o objs/Credits.o objs/Damage.o objs/DamagerDamaged.o objs/DeckDataWrapper.o objs/DeckEditorMenu.o objs/DeckMenu.o objs/DeckMenuItem.o objs/DeckMetaData.o objs/DeckStats.o objs/DuelLayers.o objs/Effects.o objs/ExtraCost.o objs/GameApp.o objs/GameLauncher.o objs/GameObserver.o objs/GameOptions.o objs/GameState.o objs/GameStateAwards.o objs/GameStateDeckViewer.o objs/GameStateDuel.o  objs/DeckManager.o objs/GameStateMenu.o objs/GameStateOptions.o objs/GameStateShop.o objs/GameStateStory.o objs/GameStateTransitions.o objs/GuiAvatars.o objs/GuiBackground.o objs/GuiCardsController.o objs/GuiCombat.o objs/GuiFrame.o objs/GuiHand.o objs/GuiLayers.o objs/GuiMana.o objs/GuiPhaseBar.o objs/GuiPlay.o objs/GuiStatic.o objs/IconButton.o objs/ManaCost.o objs/ManaCostHybrid.o  objs/MenuItem.o objs/ModRules.o objs/MTGAbility.o objs/MTGCardInstance.o objs/MTGCard.o objs/MTGDeck.o objs/MTGDefinitions.o objs/MTGGamePhase.o objs/MTGGameZones.o objs/MTGPack.o objs/MTGRules.o objs/Navigator.o objs/ObjectAnalytics.o objs/OptionItem.o objs/PhaseRing.o objs/Player.o objs/PlayerData.o  objs/PlayGuiObjectController.o objs/PlayGuiObject.o objs/PlayRestrictions.o objs/Pos.o objs/PrecompiledHeader.o objs/PriceList.o objs/ReplacementEffects.o objs/Rules.o objs/SimpleMenu.o objs/SimpleButton.o objs/SimpleMenuItem.o objs/SimplePad.o objs/SimplePopup.o objs/StoryFlow.o objs/StyleManager.o objs/Subtypes.o objs/TargetChooser.o objs/TargetsList.o objs/TextScroller.o objs/ThisDescriptor.o objs/Token.o objs/Translate.o objs/TranslateKeys.o objs/Trash.o objs/utils.o objs/WEvent.o objs/WResourceManager.o objs/WCachedResource.o objs/WDataSrc.o objs/WGui.o objs/WFilter.o objs/Tasks.o objs/WFont.o
 DEPS = $(patsubst objs/%.o, deps/%.d, $(OBJS))
 
 RESULT = $(shell psp-config --psp-prefix 2> Makefile.cache)

=== src/projects/mtg/debian/changelog ===
wagic (0.18.6maemo0) unstable; urgency=low

  * Wagic 0.18.6
 -- Xawotihs <xawotihs@gmail.com>  Mon, 14 May 2012 23:36:27 +0200

## wagic 0.18.6maemo1

=== src/JGE/Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	src/JNetwork.o \
 	src/JParticle.o src/JParticleEmitter.o src/JParticleEffect.o \
 	src/JParticleSystem.o \
-	src/unzip/ioapi.o src/unzip/mztools.o src/unzip/unzip.o \
+	src/zipFS/zfsystem.o src/zipFS/ziphdr.o src/zipFS/zstream.o \
 	src/JSprite.o src/Vector2D.o \
 	src/tinyxml/tinystr.o src/tinyxml/tinyxml.o \
 	src/tinyxml/tinyxmlparser.o src/tinyxml/tinyxmlerror.o \
@@ -73,7 +73,7 @@
 PSPDIR = $(shell psp-config --psp-prefix)
 OBJS = $(GENERIC_OBJS) $(PSP_OBJS)
 TARGET_HGE = libhgetools.a
-INCDIR = include/psp include/psp/freetype2 ../Boost
+INCDIR = include/psp include/psp/freetype2 ../Boost src/zipFS
 CXXFLAGS += -O2 -G0 -DPSP
 LIBDIR = lib/psp
 endif
@@ -81,7 +81,7 @@
 OBJS = $(GENERIC_OBJS) $(LINUX_OBJS)
 TARGET_LIB = libjge.a
 TARGET_HGE = libhgetools.a
-INCDIR = $(shell freetype-config --cflags 2> /dev/null) -I/usr/X11/include -I../Boost
+INCDIR = $(shell freetype-config --cflags 2> /dev/null) -I/usr/X11/include -I../Boost -Isrc/zipFS -Iinclude/
 CXXFLAGS += -DLINUX $(FMOD)
 CXXFLAGS += $(INCDIR)
 LIBDIR = lib/linux

=== src/JGE/src/zipFS/Makefile ===
MAIN=zfs

CC=g++

CFLAGS= -O2 -Wall -DNDEBUG -DUNIX

INCLUDES=

LFLAGS= -lz

SRCS =					\
	zfs.cpp				\
	zfsystem.cpp		\
	ziphdr.cpp			\
	zstream.cpp			\

OBJS = $(SRCS:.cpp=.o)

$(MAIN):  $(OBJS)
	$(CC) -o $(MAIN) $(LFLAGS) $(OBJS)
.cpp.o:
	$(CC) $(CFLAGS) $(INCLUDES) -c $<

clean:
	rm -f *.o $(MAIN)

=== src/projects/mtg/debian/changelog ===
wagic (0.18.6maemo1) unstable; urgency=low

  * Fixed the crash at startup
  * Changed the temporary downloads location to MyDocs/.Wagic
  * Removed SVN directories from the source package

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Sat, 30 Aug 2014 21:26:38 +0200

=== src/projects/mtg/debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: wagic
 Section: user/games
 Priority: extra
-Maintainer: xawotihs <xawotihs@gmail.com>
-Build-Depends: debhelper (>= 5), libqt4-dev, zlib1g-dev, libx11-dev, mce-dev, libgif-dev, libjpeg62-dev, libpng12-dev,
+Maintainer: Grzegorz Gidel <grg.gdl@gmail.com>
+Build-Depends: debhelper (>= 5), libqt4-dev, zlib1g-dev, libx11-dev, mce-dev
 Standards-Version: 3.7.3
 Homepage: http://wololo.net/wagic/
 XSBC-Bugtracker: http://code.google.com/p/wagic/issues/list
@@ -11,7 +11,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Wagic is an heroic fantasy collectible trading card game
- In Wagic, you play as a wizard against the CPU with your army of minions. You start the game with a small collection of cards (symbolizing creatures and spells), and as you win battles against the AI, you earn credits that allow you to buy more cards and build more powerful decks. As you play, you unlock cards and new game modes, so Wagic is much more than a simple card simulation. Wagic features several thousands of cards in the official release,but if that’s not enough for you, it is highly customizable and allows to create your own cards and mods.
+ In Wagic, you play as a wizard against the CPU with your army of minions. You start the game with a small collection of cards (symbolizing creatures and spells), and as you win battles against the AI, you earn credits that allow you to buy more cards and build more powerful decks. As you play, you unlock cards and new game modes, so Wagic is much more than a simple card simulation. Wagic features several thousands of cards in the official release, but if that is not enough for you, it is highly customizable and allows to create your own cards and mods.
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAAO6wAADxIBtXGxVgAAAAd0

## wagic 0.18.6maemo2

=== src/projects/mtg/debian/changelog ===
wagic (0.18.6maemo2) unstable; urgency=low

  * Fixed resource checksumming broken by changes in Google Code which led to a crash at startup

 -- Grzegorz Gidel <grg.gdl@gmail.com>  Tue, 03 May 2016 22:14:15 +0200
